#include "rtprtcp_transport.h"

RtpRtcpTransport::RtpRtcpTransport(RtpRtcpTransportObserver *observer)
:observer_(observer)
{
}
RtpRtcpTransport::~RtpRtcpTransport()
{
}
bool RtpRtcpTransport::SendRtp(const uint8_t *data, size_t length, const webrtc::PacketOptions &options)
{
    if (observer_)
    {
        return observer_->SendRtpRtcpData(this, data, length, false);
    }
    
    return false;
}
bool RtpRtcpTransport::SendRtcp(const uint8_t *data, size_t length)
{
    if (observer_)
    {
        return observer_->SendRtpRtcpData(this, data, length, true);
    }
    
    return false;
}