#pragma once

#include "ztypes.h"
#include "rtc_base/messagequeue.h"

class ZMessageDataInt: virtual public rtc::MessageData
{
public:
    int int_data_;
};

class ZMessageDataString : virtual public rtc::MessageData
{
public:
    std::string     string_data_;
};

class ZMsgDataHandle : virtual public ZMessageDataInt,
                       virtual public ZMessageDataString
{
public:
	ChannelObserver	*observer_;
};

class ZMsgDataNetData : virtual public rtc::MessageData
{
public:
    SOCKET  socket;
	std::string ip;
	int		port;
    int     handle;
    char    buffer[1500];
    int     size;
};